#include "SPIMaster.h"


void Print(char *data2, int lenght){
  for(int i = 0; i < lenght; i++) {
    Serial.print(data2[i], HEX);
    Serial.print(" ");
  }
}

void setup()
{
  Serial.begin(9600);
  SPI_MasterInit();   
  Serial.println("Master Initialization ");
}

void loop()
{
  char data[] = {0x06, 0xF1, 0x04, 0x05, 0x16, 0x12, 0x18, 0x11, 0x00, 0x15, 0x49, 0x50, 0x59, 0x69, 0};
  int length = sizeof(data);
  Serial.println();
  Serial.print("Start: ");
  Print(data, length);
  Serial.println();

  char checking = crc8(data, length-1); 
  int size = sizeof(data) / sizeof(data[0]);
  data[size - 1] = checking;
  Serial.println(checking, HEX);
  
  Serial.print("End: ");
  Print(data, length);
  Serial.println();

  SPI_MasterTransmit(data, length);
  _delay_ms(1000);
}